Bug 508457 - make anacron stop!
make anacron stop!
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anacron (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Marcela Mašláňová
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-27 07:54 EDT by Tom Horsley
Modified: 2009-08-14 08:50 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-14 08:50:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom Horsley 2009-06-27 07:54:18 EDT
Description of problem:

In fedora 10 and before, I could eradicate the random pestilence of anacron
by disabling the anacron service. In fedora 11 I found there was no service
and the way to disable it was to "yum erase anacron" (and put back my fedora
10 style /etc/crontab), with the latest cronie update, there is now a dependency
on anacron, so it wants to drag this monstrosity back onto my system.

For Gods sake, please provide (and document in the anacron man page)
the official, sure to remain effective despite constant changes in packaging
way to utterly disable anacron. (Maybe an /etc/sysconfig/anacron file with
DISABLE_ANACRON=yes)?

Version-Release number of selected component (if applicable):
anacron.x86_64 0:2.3-75.fc11

How reproducible:
Highly persistent little bugger.

Steps to Reproduce:
1.see above
2.
3.
  
Actual results:
Anacron keeps returning in bad sequels.

Expected results:
Anacron stays dead once I put a stake through its heart.

Additional info:
Comment 1 Marcela Mašláňová 2009-06-30 09:26:31 EDT
I did my best to put anacron to sleep. His so called daemon was removed.

The main problem are conflicting thoughts about cronjobs on desktop vs. server. Details could be find in manuals: crontabs, anacrontab(5). My plans are merge anacron and cronie into one which has to wipe out pestilence for good.
Comment 2 Tom Horsley 2009-06-30 10:21:59 EDT
I don't know - putting them together sounds like there would be no way
to ever make it stop trying to recover - it is the botched attempts to
rerun things which I want to remove. If it skipped a run, then it
skipped a run - don't help me :-).

At the moment, I've erased the contents of:

/etc/cron.d/0hourly /etc/cron.hourly/0anacron /etc/anacrontab

and put back the old f10 /etc/crontab and that is doing exactly
what I want (which is to get no "help" of any kind from anacron :-).

If they get merged into one, please have something like a
/etc/sysconfig/cron flag I can set to say "Never under any
circumstances attempt to rerun a job you imagine you missed."
Comment 3 Marcela Mašláňová 2009-07-14 05:24:37 EDT
(In reply to comment #2)
> I don't know - putting them together sounds like there would be no way
> to ever make it stop trying to recover - it is the botched attempts to
> rerun things which I want to remove. If it skipped a run, then it
> skipped a run - don't help me :-).
> 
If you set START_HOURS_RANGE to your preferred time range when jobs should started, then they will start _only_ in this range. In case there will be skipped then they will be skipped and won't be executed that day. However for you there will be some option f.e. NO_ANACRON.
Comment 4 Marcela Mašláňová 2009-08-14 08:50:22 EDT
man crontabs
man anacrontab
for switching off.

Note You need to log in before you can comment on or make changes to this bug.